# Class TglBitmap2D

Description | Hierarchy | Fields | Methods | Properties

## Unit

glBitmap

## Declaration

`type TglBitmap2D = class(TglBitmap)`

## Description

wrapper class for 2-dimensional textures (OpenGL target = GL_TEXTURE_2D) all operations on a bitmap object must be done from the render thread

## Hierarchy

- TObject
- TglBitmap
- TglBitmap2D

## Overview

### Methods

| `procedure UploadDataIntern(const aDataObj: TglBitmapData; const aTarget: GLenum );`
| `procedure AfterConstruction; override;`
| `procedure GrabScreen(const aTop, aLeft, aRight, aBottom: Integer; const aFormat: TglBitmapFormat; const aDataObj: TglBitmapData);`
| `procedure UploadData(const aDataObj: TglBitmapData; const aCheckSize: Boolean = true); override;`

### Properties

| `property Width;`
| `property Height;`

## Description

### Methods

| `procedure UploadDataIntern(const aDataObj: TglBitmapData; const aTarget: GLenum );`

upload the texture data to video card

###### Parameters

aDataObj
  texture data object that contains the actual data
aTarget
  target o upload data to (e.g. GL_TEXTURE_2D)
aBuildWithGlu
  use glu functions to build mipmaps

| `procedure AfterConstruction; override;`
this method is called after constructor and initializes the object

| `procedure GrabScreen(const aTop, aLeft, aRight, aBottom: Integer; const aFormat: TglBitmapFormat; const aDataObj: TglBitmapData);`

copy a part of the frame buffer to the texture

###### Parameters

aTop
  topmost pixel to copy
aLeft
  leftmost pixel to copy
aRight
  rightmost pixel to copy
aBottom
  bottommost pixel to copy
aFormat
  format to store data in
aDataObj
  texture data object to store the data in

| `procedure UploadData(const aDataObj: TglBitmapData; const aCheckSize: Boolean = true); override;`

upload texture data from given data object to video card

###### Parameters

aData
  texture data object that contains the actual data
aCheckSize
  check size before upload and throw exception if something is wrong

### Properties

| `property Width;`
actual width of the texture

| `property Height;`
actual height of the texture

Generated by PasDoc 0.13.0 on 2014-12-24 04:27:09